Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class ObjectFactory

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the umontreal.iro.lecuyer.xmlbind.params package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.xmlbind.params

Method Summary
`BooleanArray` | `createBooleanArray()` Create an instance of `BooleanArray`
`BooleanArrayProperty` | `createBooleanArrayProperty()` Create an instance of `BooleanArrayProperty`
`BooleanArray.Row` | `createBooleanArrayRow()` Create an instance of `BooleanArray.Row`
`BooleanListProperty` | `createBooleanListProperty()` Create an instance of `BooleanListProperty`
`BooleanProperty` | `createBooleanProperty()` Create an instance of `BooleanProperty`
`DateTimeProperty` | `createDateTimeProperty()` Create an instance of `DateTimeProperty`
`DBConnectionParams` | `createDBConnectionParams()` Create an instance of `DBConnectionParams`
`DoubleArray` | `createDoubleArray()` Create an instance of `DoubleArray`
`DoubleArray.Row` | `createDoubleArrayRow()` Create an instance of `DoubleArray.Row`
`DurationArray` | `createDurationArray()` Create an instance of `DurationArray`
`DurationArray.Row` | `createDurationArrayRow()` Create an instance of `DurationArray.Row`
`DurationListProperty` | `createDurationListProperty()` Create an instance of `DurationListProperty`
`DurationProperty` | `createDurationProperty()` Create an instance of `DurationProperty`
`IntArray` | `createIntArray()` Create an instance of `IntArray`
`IntArray.Row` | `createIntArrayRow()` Create an instance of `IntArray.Row`
`IntegerArrayProperty` | `createIntegerArrayProperty()` Create an instance of `IntegerArrayProperty`
`IntegerListProperty` | `createIntegerListProperty()` Create an instance of `IntegerListProperty`
`IntegerProperty` | `createIntegerProperty()` Create an instance of `IntegerProperty`
`Named` | `createNamed()` Create an instance of `Named`
`NonNegativeDurationArray` | `createNonNegativeDurationArray()` Create an instance of `NonNegativeDurationArray`
`NonNegativeDurationArray.Row` | `createNonNegativeDurationArrayRow()` Create an instance of `NonNegativeDurationArray.Row`
`NumberArrayProperty` | `createNumberArrayProperty()` Create an instance of `NumberArrayProperty`
`NumberListProperty` | `createNumberListProperty()` Create an instance of `NumberListProperty`
`NumberProperty` | `createNumberProperty()` Create an instance of `NumberProperty`
`PropertiesParams` | `createPropertiesParams()` Create an instance of `PropertiesParams`
`RandomVariateGenParams` | `createRandomVariateGenParams()` Create an instance of `RandomVariateGenParams`
`StringListProperty` | `createStringListProperty()` Create an instance of `StringListProperty`
`StringProperty` | `createStringProperty()` Create an instance of `StringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.xmlbind.params

Method Detail

### createIntegerArrayProperty

    public IntegerArrayProperty createIntegerArrayProperty()

  Create an instance of `IntegerArrayProperty`

### createRandomVariateGenParams

    public RandomVariateGenParams createRandomVariateGenParams()

  Create an instance of `RandomVariateGenParams`

### createDBConnectionParams

    public DBConnectionParams createDBConnectionParams()

  Create an instance of `DBConnectionParams`

### createBooleanArray

    public BooleanArray createBooleanArray()

  Create an instance of `BooleanArray`

### createNamed

    public Named createNamed()

  Create an instance of `Named`

### createNonNegativeDurationArrayRow

    public NonNegativeDurationArray.Row createNonNegativeDurationArrayRow()

  Create an instance of `NonNegativeDurationArray.Row`

### createStringListProperty

    public StringListProperty createStringListProperty()

  Create an instance of `StringListProperty`

### createBooleanArrayProperty

    public BooleanArrayProperty createBooleanArrayProperty()

  Create an instance of `BooleanArrayProperty`

### createIntegerProperty

    public IntegerProperty createIntegerProperty()

  Create an instance of `IntegerProperty`

### createNumberListProperty

    public NumberListProperty createNumberListProperty()

  Create an instance of `NumberListProperty`

### createNonNegativeDurationArray

    public NonNegativeDurationArray createNonNegativeDurationArray()

  Create an instance of `NonNegativeDurationArray`

### createDateTimeProperty

    public DateTimeProperty createDateTimeProperty()

  Create an instance of `DateTimeProperty`

### createBooleanProperty

    public BooleanProperty createBooleanProperty()

  Create an instance of `BooleanProperty`

### createNumberArrayProperty

    public NumberArrayProperty createNumberArrayProperty()

  Create an instance of `NumberArrayProperty`

### createDurationArrayRow

    public DurationArray.Row createDurationArrayRow()

  Create an instance of `DurationArray.Row`

### createIntArray

    public IntArray createIntArray()

  Create an instance of `IntArray`

### createBooleanListProperty

    public BooleanListProperty createBooleanListProperty()

  Create an instance of `BooleanListProperty`

### createStringProperty

    public StringProperty createStringProperty()

  Create an instance of `StringProperty`

### createPropertiesParams

    public PropertiesParams createPropertiesParams()

  Create an instance of `PropertiesParams`

### createNumberProperty

    public NumberProperty createNumberProperty()

  Create an instance of `NumberProperty`

### createDoubleArrayRow

    public DoubleArray.Row createDoubleArrayRow()

  Create an instance of `DoubleArray.Row`

### createIntegerListProperty

    public IntegerListProperty createIntegerListProperty()

  Create an instance of `IntegerListProperty`

### createDurationProperty

    public DurationProperty createDurationProperty()

  Create an instance of `DurationProperty`

### createDurationArray

    public DurationArray createDurationArray()

  Create an instance of `DurationArray`

### createBooleanArrayRow

    public BooleanArray.Row createBooleanArrayRow()

  Create an instance of `BooleanArray.Row`

### createIntArrayRow

    public IntArray.Row createIntArrayRow()

  Create an instance of `IntArray.Row`

### createDoubleArray

    public DoubleArray createDoubleArray()

  Create an instance of `DoubleArray`

### createDurationListProperty

    public DurationListProperty createDurationListProperty()

  Create an instance of `DurationListProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.